Loading...
Searching...
No Matches
_ptm_context_t Struct Reference
OpenCSD Library : Trace Packet Types

`#include <trc_pkt_types_ptm.h>`

## Public Attributes

struct { |
uint32_t curr_alt_isa:1 |
uint32_t curr_NS:1 |
uint32_t curr_Hyp:1 |
uint32_t updated:1 |
uint32_t updated_c:1 |
uint32_t updated_v:1 |
}; |  |
uint32_t | ctxtID
uint8_t | VMID

## Detailed Description

Definition at line 74 of file trc_pkt_types_ptm.h.

## Member Data Documentation

## [struct]

struct { ... } _ptm_context_t

## ctxtID

uint32_t _ptm_context_t::ctxtID

Context ID

Definition at line 83 of file trc_pkt_types_ptm.h.

## curr_alt_isa

uint32_t _ptm_context_t::curr_alt_isa

current Alt ISA flag for Tee / T32 (used if not in present packet)

Definition at line 76 of file trc_pkt_types_ptm.h.

## curr_Hyp

uint32_t _ptm_context_t::curr_Hyp

current Hyp flag (used if not in present packet)

Definition at line 78 of file trc_pkt_types_ptm.h.

## curr_NS

uint32_t _ptm_context_t::curr_NS

current NS flag (used if not in present packet)

Definition at line 77 of file trc_pkt_types_ptm.h.

## updated

uint32_t _ptm_context_t::updated

context updated

Definition at line 79 of file trc_pkt_types_ptm.h.

## updated_c

uint32_t _ptm_context_t::updated_c

updated CtxtID

Definition at line 80 of file trc_pkt_types_ptm.h.

## updated_v

uint32_t _ptm_context_t::updated_v

updated VMID

Definition at line 81 of file trc_pkt_types_ptm.h.

## VMID

uint8_t _ptm_context_t::VMID

VMID

Definition at line 84 of file trc_pkt_types_ptm.h.

The documentation for this struct was generated from the following file:

- /build/libopencsd-16huoW/libopencsd-1.4.1/decoder/include/opencsd/ptm/trc_pkt_types_ptm.h